Alarm Manager Get Alarm

Alarm Manager Get Alarm
Available alarms defined on the entity.

Available alarms defined on the entity.

These alarms do not include any inherited alarms; that is, alarms associated with parent entities.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/AlarmManager/{moId}/GetAlarm
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case AlarmManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
GetAlarmRequestType of type(s) application/json
Optional
{
    "entity": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
entity
Optional

The entity. If not set, alarms are returned for all visible entities.

Authentication
This operation uses the following authentication methods.
Responses
200

A reference to the Alarm objects returned by the operation.

[
    {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
]
array of object
Optional

Reference to an instance of the Alarm managed object.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/AlarmManager/{moId}/GetAlarm